Update a transaction

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
amountintegerOptional

The transaction amount in minor units. Positive values for in-flow, negative values for out-flow.

currencyenumOptional
ISO currency code.
descriptionstringOptional<=255 characters

A human-readable description of the transaction.

entity_user_idstringOptionalformat: "uuid"
ID of the entity user who made the transaction, if applicable.
external_idstringOptional<=128 characters
External identifier for idempotency, if provided by the source system.
merchant_amountintegerOptional
Original merchant transaction amount in minor units.
merchant_currencyenumOptional

ISO currency code for the merchant_amount.

merchant_locationstringOptional<=128 characters
The merchant location.
merchant_namestringOptional<=128 characters
The merchant name.
partner_metadatamap from strings to stringsOptional

Extensible key-value pairs for storing additional custom information for partner needs.

payment_methodobjectOptional
started_atdatetimeOptional
Date and time when the transaction was initiated.
statusenumOptional
The current processing status of the transaction.
typeenumOptional
The nature of the transaction.

Response

Successful Response
idstringformat: "uuid"

A unique Monite-generated ID assigned to this transaction.

amountinteger

The transaction amount in minor units. Positive values for in-flow, negative values for out-flow.

currencyenum
ISO currency code.
entity_idstringformat: "uuid"
ID of the entity that owns this resource.
merchant_amountinteger
Original merchant transaction amount in minor units.
merchant_currencyenum

ISO currency code for the merchant_amount.

merchant_locationstring<=128 characters
The merchant location.
merchant_namestring<=128 characters
The merchant name.
payment_methodobject
started_atdatetime
Date and time when the transaction was initiated.
typeenum
The nature of the transaction.
descriptionstring<=255 characters

A human-readable description of the transaction.

entity_user_idstringformat: "uuid"
ID of the entity user who made the transaction, if applicable.
external_idstring<=128 characters
External identifier for idempotency, if provided by the source system.
partner_metadatamap from strings to strings

Extensible key-value pairs for storing additional custom information for partner needs.

receipt_idstring

ID of the related receipt from payables service, if any. This field is read-only and system-managed.

statusenum
The current processing status of the transaction.

Errors

400
Patch Transactions ID Request Bad Request Error
401
Patch Transactions ID Request Unauthorized Error
403
Patch Transactions ID Request Forbidden Error
404
Patch Transactions ID Request Not Found Error
409
Patch Transactions ID Request Conflict Error
422
Patch Transactions ID Request Unprocessable Entity Error
429
Patch Transactions ID Request Too Many Requests Error